Bug 182234 - Poor interaction with evince: PDF within the browser
Poor interaction with evince: PDF within the browser
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 04:51 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 14:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2006-02-21 04:51:01 EST
Hi, I'm not sure where I need to be filing this bug, but it should be filed
somewhere... 

I have installed:

firefox-1.5.0.1-3
mozplugger-1.7.3-2.2.1
evince-0.5.0-3.2

As a result clicking on a PDF document on the web opens the document in evince
within the browser window.

I'm not sure this is a better idea than opening the document outside the
browser, because I get a 5-7-inch layered view of status bars - there's (0) my
GNOME panel, followed by firefox window, which has (1) title bar, (2) navigation
bar, (3) bookmark bar, and then (4) tab bar. Then I have (5) evince title bar
within firefox, and (6) evince navigation bar, which is rather large. Combined
altogether, this is absurd from a usability point of view.

So... I decide to fullscreen some of those things by pressing F11. However,
fullscreen interaction is rather poor. 
 
(1) F11 binds to whatever window I have the mouse over. This is not very
intuitive at all - I would expect an explicit mouse click to change focus for
that shortcut. On the contrary, clicking on the browser than moving the mouse
back on top of the evince sub-window maximizes evince.

(2) Full-screening windows out of order does not work. If I F11 over evince, the
embedded evince navigation bar moves to the top of the screen, but the content
remains restricted to the browser window - I see this maximization approach as
having very little value to the user. I want one-click fullscreen of the target
component to get rid of everything, and bring out the thing I clicked on.

(3) The navigation bar of evince, when maximized, disappears when I mouse over
it. I have no idea why this is - I assume the firefox navigation bar takes focus
on mouse-over, or the panel takes precedence. It doesn't really matter, this is
awful - if I didn't know how to F11 my way back I would be stuck in maximized mode.
Comment 1 Christopher Aillon 2006-02-21 11:24:41 EST
Sounds like mozplugger needs to be changed to not handle PDFs if evince is
installed.
Comment 2 Nils Philippsen 2006-03-22 09:42:26 EST
I think it would be more beneficial for some file types if the user could
specify whether to open the link inline or in an external window, I don't think
there's a "one size fits all" solution to this issue.
Comment 3 Joachim Frieben 2006-05-05 12:21:06 EDT
This can be set in your local "mozpluggerrc" which overrides the global
settings in "/etc/mozpluggerrc".
Comment 4 Nils Philippsen 2006-05-09 05:49:42 EDT
This doesn't quite cut it if you want to decide that on a per-document basis.
Comment 5 Ngo Than 2006-05-16 14:12:37 EDT
It's the default setting. You can overwrite the global settings by creating new
 $HOME/.mozilla/mozpluggerrc if you don't want to use this feature.

for example:
cat $HOME/.mozilla/mozpluggerrc


application/pdf:pdf:PDF file
application/x-pdf:pdf:PDF file
text/pdf:pdf:PDF file
text/x-pdf:pdf:PDF file
   repeat noisy swallow(:) fill: evince "$file"
   repeat noisy swallow(kpdf) fill: kpdf "$file"
   repeat noisy swallow(Xpdf) fill: xpdf -g +9000+9000 "$file"

application/x-postscript:ps:PostScript file
application/postscript:ps:PostScript file
   repeat noisy swallow(:) fill: evince "$file"
   GV()
   repeat swallow(Pageview) fill: pageview "$file"
Comment 6 Ivan Gyurdiev 2006-05-16 22:16:55 EDT
I no longer have this problem - evince opens up documents in an external window.
Firefox asks me if I want the file opened with the "Document Viewer" or saved to
disk. I don't know why, but I'm happy. 

---
However, I don't think closing NOTABUG, and pasting config files here is a good
response to this issue. When you say "go change this config files to workaround
the defaults if you don't want this feature", you're saying (1) the defaults are
wrong, (2) there is no good interface to change the defaults, (3) you're calling
the bug a "feature".

Note You need to log in before you can comment on or make changes to this bug.